local addonName, Namespace = ...

Bagmeter_Total = 1;    	-- show total by default
Bagmeter_Subtotal = 1; 	-- show subtotals by default
Bagmeter_Color = 0;    	-- don't colorize by default
Bagmeter_Used = 0;     	-- show free by default
Bagmeter_Subcount = 1; 	-- show subcounts by default
Bagmeter_FontSize = 11;	-- size of text font
Bagmeter_Horizontal = "CENTER";
Bagmeter_Vertical = "TOP";
Bagmeter_Offset = 0;

	---------------------------------------------------
	-- Backpack Setup
	---------------------------------------------------
	local bag = CreateFrame("Frame", "BM_Bag0Frame", MainMenuBarBackpackButton)
	bag:SetWidth(MainMenuBarBackpackButton:GetWidth()) 
	bag:SetHeight(MainMenuBarBackpackButton:GetHeight()) 
	bag:SetPoint("TOPLEFT",0,0)
	--Texture Setting For point testing
	--bag.texture = bag:CreateTexture(nil, "BACKGROUND")
	--bag.texture:SetAllPoints(true)
	--bag.texture:SetTexture(1, 1, 1, 0.5)

	local text = bag:CreateFontString("BM_Bag0Txt", "OVERLAY", "NumberFontNormal")
	text:SetPoint("TOPLEFT", bag, "TOPLEFT",0,0)
	text:SetWidth(MainMenuBarBackpackButton:GetWidth())
	text:SetJustifyH("CENTER")

	text = bag:CreateFontString("BM_BagXTxt", "OVERLAY", "NumberFontNormal")
	text:SetPoint("TOPLEFT", bag, "TOPLEFT",0,-20)
	text:SetWidth(MainMenuBarBackpackButton:GetWidth())
	text:SetJustifyH("RIGHT")

	local obj

	---------------------------------------------------
	-- Bag Setup
	--------------------------------------------------- 
	for i = 0, 3 do
		obj = getglobal("CharacterBag"..i.."Slot");
		bag = CreateFrame("Frame", "BM_Bag"..(i+1).."Frame", obj)
		bag:SetWidth(obj:GetWidth()+4) 
		bag:SetHeight(obj:GetHeight()) 
		bag:SetPoint("TOPLEFT",0,0)

		text = bag:CreateFontString("BM_Bag"..(i+1).."Txt", "OVERLAY", "NumberFontNormal")
		text:SetPoint("TOPLEFT", bag, "TOPLEFT",0,0)
		text:SetWidth(obj:GetWidth())
		text:SetJustifyH("CENTER")

		bag:Show()
	end

	-- New Reageent Bag addition
	obj = getglobal("CharacterReagentBag0Slot")
	bag = CreateFrame("Frame", "BM_ReagentBag0Frame", obj)
	bag:SetWidth(obj:GetWidth()+4) 
	bag:SetHeight(obj:GetHeight()) 
	bag:SetPoint("TOPLEFT",0,0)

	text = bag:CreateFontString("BM_ReagentBag0Txt", "OVERLAY", "NumberFontNormal")
	text:SetPoint("TOPLEFT", bag, "TOPLEFT",0,0)
	text:SetWidth(obj:GetWidth())
	text:SetJustifyH("CENTER")

	bag:Show()

	local temp = getglobal("CharacterBag3Slot");
	local point, relativeTo, relativePoint, xofs, yofs = temp:GetPoint();
	temp:SetPoint(point, relativeTo, relativePoint, -0, 0);
